from axelrod.action import Action
from axelrod.player import Player
lIIIllIIIlIllIII, llIllIII = Action.C, Action.D
class llIIIlIlIlI(Player):
    llIIIIIIlIlll = "strategy"
    llIlllIIlIIIII = {
        "memory_depth": float("inf"),
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIlIlIlIIlIII(IIlIlIll, llllIlIlIlllIIllIlIl: Player) -> Action:
        IIIllIllllIlIllI = len(IIlIlIll.history) + 1
        llIllllIlll = IIlIlIll.match_attributes["length"]
        lIlIllIlI = 1 - IIIllIllllIlIllI / llIllllIlll
        return IIlIlIll._random.random_choice(lIlIllIlI)